# OpenVMS Makefile

.first
	define dbinc [-.dbinc]
	define dbinc_auto [-.dbinc_auto]
	define crypto [-.crypto]

##################################################
# C API.
##################################################
CPPFLAGS=/include=([],[-],[-.include],[-.include_auto])/name=(as_is,short)\
	/float=ieee
CFLAGS=$(CPPFLAGS)
CC=cc
CXXFLAGS=$(CPPFLAGS)
CXX=cxx

##################################################
# Object and utility lists.
##################################################
C_OBJS=	mut_pthread.obj,bt_compact.obj,bt_compare.obj,\
	bt_conv.obj,bt_curadj.obj,bt_cursor.obj,bt_delete.obj,bt_method.obj,\
	bt_open.obj,bt_put.obj,bt_rec.obj,bt_reclaim.obj,bt_recno.obj,\
	bt_rsearch.obj,bt_search.obj,bt_split.obj,bt_stat.obj,bt_upgrade.obj,\
	bt_verify.obj,btree_auto.obj,crdel_auto.obj,crdel_rec.obj,db.obj,\
	db_am.obj,db_auto.obj,db_byteorder.obj,db_cam.obj,db_conv.obj,\
	db_dispatch.obj,db_dup.obj,db_err.obj,db_getlong.obj,db_iface.obj,\
	db_join.obj,db_log2.obj,db_meta.obj,db_method.obj,db_overflow.obj,\
	db_pr.obj,db_rec.obj,db_reclaim.obj,db_ret.obj,db_salloc.obj

C_OBJS1=db_shash.obj,db_upg.obj,db_upg_opd.obj,db_vrfy.obj,db_vrfyutil.obj,\
	dbm.obj,env_method.obj,env_open.obj,env_recover.obj,env_region.obj,\
	hash.obj,hash_auto.obj,hash_conv.obj,hash_dup.obj,hash_func.obj,\
	hash_meta.obj,hash_method.obj,hash_page.obj,hash_rec.obj,\
	hash_reclaim.obj,hash_stat.obj,hash_upgrade.obj,hash_verify.obj,\
	hsearch.obj,lock.obj,lock_deadlock.obj,lock_method.obj,\
	lock_region.obj,lock_stat.obj,lock_util.obj,log.obj,log_archive.obj,\
	log_compare.obj,log_get.obj

C_OBJS2=log_method.obj,log_put.obj,mp_alloc.obj,\
	mp_bh.obj,mp_fget.obj,mp_fopen.obj,mp_fput.obj,mp_fset.obj,\
	mp_method.obj,mp_region.obj,mp_register.obj,mp_stat.obj,mp_sync.obj,\
	mp_trickle.obj,os_abs.obj,os_alloc.obj,os_clock.obj,\
	os_dir.obj,os_errno.obj,os_fid.obj,os_fsync.obj,\
	os_handle.obj,os_map.obj,os_method.obj,os_oflags.obj,os_open.obj,\
	os_region.obj,os_rename.obj,os_root.obj,os_rpath.obj,os_rw.obj,\
	os_seek.obj,os_sleep.obj,os_spin.obj,os_stat.obj,os_tmpdir.obj

C_OBJS3=os_unlink.obj,qam.obj,qam_auto.obj,qam_conv.obj,qam_files.obj,\
	qam_method.obj,qam_open.obj,qam_rec.obj,qam_stat.obj,qam_upgrade.obj,\
	qam_verify.obj,rep_method.obj,rep_record.obj,rep_region.obj,\
	rep_util.obj,txn.obj,txn_auto.obj,txn_method.obj,txn_rec.obj,\
	txn_recover.obj,txn_region.obj,txn_stat.obj,xa.obj,xa_db.obj,\
	xa_map.obj,snprintf.obj,txn_autop.obj,txn_chkpt.obj,txn_failchk.obj,\
	txn_util.obj,rep_auto.obj,rep_autop.obj,rep_backup.obj,rep_elect.obj,\
	rep_log.obj,rep_stat.obj,rep_stub.obj,rep_verify.obj

C_OBJS4=os_config.obj,os_flock.obj,os_id.obj,os_mkdir.obj,os_truncate.obj,\
	mut_alloc.obj,mut_method.obj,mp_fmethod.obj,log_debug.obj,\
	log_stat.obj,lock_failchk.obj,lock_id.obj,lock_list.obj,\
	lock_timer.obj,fileops_auto.obj,fileops_autop.obj,fop_basic.obj,\
	fop_rec.obj,fop_util.obj,env_failchk.obj,env_file.obj,\
	env_register.obj,env_stat.obj,dbreg.obj,dbreg_auto.obj,\
	dbreg_autop.obj,dbreg_rec.obj,dbreg_stat.obj,dbreg_util.obj,\
	crdel_autop.obj,db_autop.obj,db_open.obj,db_ovfl_vrfy.obj,\
	db_remove.obj,db_rename.obj,db_setid.obj,db_setlsn.obj,db_stati.obj,\
	db_truncate.obj,db_vrfy_stub.obj,db_clock.obj,db_idspace.obj,\
	mut_stat.obj,hash_open.obj,mut_region.obj,util_cache.obj,\
	btree_autop.obj,hash_autop.obj,qam_autop.obj,vms_capital.obj

CXX_OBJS=\
	cxx_db.obj,cxx_dbc.obj,cxx_dbt.obj,cxx_env.obj,cxx_except.obj,\
	cxx_lock.obj,cxx_logc.obj,cxx_mpool.obj,cxx_txn.obj

CRYPTO_OBJS=\
	aes_method.obj,crypto.obj,mt19937db.obj,rijndael-alg-fst.obj,\
	rijndael-api-fst.obj

HMAC_OBJS=hmac.obj,sha1.obj

JAVA_OBJS=\
	java_Db.obj,java_DbEnv.obj,java_DbLock.obj,java_DbLogc.obj,\
	java_DbLsn.obj,java_DbTxn.obj,java_DbUtil.obj,java_Dbc.obj,\
	java_Dbt.obj,java_info.obj,java_locked.obj,java_util.obj

JAVA_DBSRCS=\
	$(JAVA_DBDIR)/Db.java $(JAVA_DBDIR)/DbAppendRecno.java \
	$(JAVA_DBDIR)/DbBtreeCompare.java $(JAVA_DBDIR)/DbBtreePrefix.java \
	$(JAVA_DBDIR)/DbBtreeStat.java $(JAVA_DBDIR)/DbClient.java \
	$(JAVA_DBDIR)/DbConstants.java $(JAVA_DBDIR)/DbDeadlockException.java \
	$(JAVA_DBDIR)/DbDupCompare.java $(JAVA_DBDIR)/DbEnv.java \
	$(JAVA_DBDIR)/DbEnvFeedback.java $(JAVA_DBDIR)/DbErrcall.java \
	$(JAVA_DBDIR)/DbException.java $(JAVA_DBDIR)/DbFeedback.java \
	$(JAVA_DBDIR)/DbHash.java $(JAVA_DBDIR)/DbHashStat.java \
	$(JAVA_DBDIR)/DbKeyRange.java $(JAVA_DBDIR)/DbLock.java \
	$(JAVA_DBDIR)/DbLockNotGrantedException.java \
	$(JAVA_DBDIR)/DbLockRequest.java $(JAVA_DBDIR)/DbLockStat.java \
	$(JAVA_DBDIR)/DbLogc.java $(JAVA_DBDIR)/DbLogStat.java \
	$(JAVA_DBDIR)/DbLsn.java $(JAVA_DBDIR)/DbMemoryException.java \
	$(JAVA_DBDIR)/DbMpoolFStat.java $(JAVA_DBDIR)/DbMpoolStat.java \
	$(JAVA_DBDIR)/DbMultipleDataIterator.java \
	$(JAVA_DBDIR)/DbMultipleIterator.java \
	$(JAVA_DBDIR)/DbMultipleKeyDataIterator.java \
	$(JAVA_DBDIR)/DbMultipleRecnoDataIterator.java \
	$(JAVA_DBDIR)/DbOutputStreamErrcall.java \
	$(JAVA_DBDIR)/DbPreplist.java $(JAVA_DBDIR)/DbQueueStat.java \
	$(JAVA_DBDIR)/DbRecoveryInit.java $(JAVA_DBDIR)/DbRepTransport.java \
	$(JAVA_DBDIR)/DbRunRecoveryException.java \
	$(JAVA_DBDIR)/DbSecondaryKeyCreate.java $(JAVA_DBDIR)/DbTxn.java \
	$(JAVA_DBDIR)/DbTxnRecover.java $(JAVA_DBDIR)/DbTxnStat.java \
	$(JAVA_DBDIR)/DbUtil.java $(JAVA_DBDIR)/Dbc.java $(JAVA_DBDIR)/Dbt.java

JAVA_EXSRCS=\
	$(JAVA_EXDIR)/AccessExample.java \
	$(JAVA_EXDIR)/BtRecExample.java \
	$(JAVA_EXDIR)/BulkAccessExample.java \
	$(JAVA_EXDIR)/EnvExample.java \
	$(JAVA_EXDIR)/LockExample.java \
	$(JAVA_EXDIR)/TpcbExample.java

TCL_OBJS=\
	tcl_compat.obj,tcl_db.obj,tcl_db_pkg.obj,tcl_dbcursor.obj,tcl_env.obj,\
	tcl_internal.obj,tcl_lock.obj,tcl_log.obj,tcl_mp.obj,tcl_txn.obj

RPC_CLIENT_OBJS=\
	client.obj,db_server_clnt.obj,db_server_xdr.obj,gen_client.obj,\
	gen_client_ret.obj
RPC_SRV_OBJS=\
	db_server_proc.obj,db_server_svc.obj,db_server_util.obj,gen_db_server.obj

UTIL_PROGS=\
	 db_archive.exe,db_checkpoint.exe db_deadlock.exe,\
	db_dump.exe db_load.exe,db_printlog.exe,db_recover.exe,db_stat.exe,\
	db_upgrade.exe,db_verify.exe

##################################################
# We're building a standard library or a RPM file hierarchy, potentially
# for Embedix.  Note: "all" must be the first target in the Makefile.
##################################################
all : db_cxx.h db_int.h db.h db_config.h libdb.olb\
	$(UTIL_PROGS)
	write sys$output "I'm finished"

##################################################
# Library and standard utilities build.
##################################################

ALL_LIB_OBJS=$(C_OBJS),$(C_OBJS1),$(C_OBJS2),$(C_OBJS3),$(CRYPTO_OBJS),\
	$(HMAC_OBJS),$(C_OBJS4)

libdb.olb : $(ALL_LIB_OBJS)
	library/create libdb.olb $(C_OBJS)
	library libdb.olb $(C_OBJS1)
	library libdb.olb $(C_OBJS2)
	library libdb.olb $(C_OBJS3)
	library libdb.olb $(C_OBJS4)
	library libdb.olb $(CRYPTO_OBJS)
	library libdb.olb $(HMAC_OBJS)

$(ALL_LIB_OBJS) : db_config.h db.h db_int.h db_cxx.h

##################################################
# Utilities
##################################################
berkeley_db_svc.exe : $(RPC_SRV_OBJS) util_log.obj,libdb.olb
	link $(RPC_SRV_OBJS),util_log.obj,link_vms/opt

db_archive.exe : db_archive.obj,util_sig.obj,libdb.olb
	link db_archive.obj,util_sig.obj,link_vms/opt

db_checkpoint.exe : db_checkpoint.obj,util_log.obj,util_sig.obj,libdb.olb
	link db_checkpoint.obj,util_log.obj,util_sig.obj,link_vms/opt

db_deadlock.exe : db_deadlock.obj,util_log.obj,util_sig.obj,libdb.olb
	link db_deadlock.obj,util_log.obj,util_sig.obj,link_vms/opt

db_dump.exe : db_dump.obj,util_sig.obj,libdb.olb
	link db_dump.obj,util_sig.obj,link_vms/opt

db_load.exe : db_load.obj,util_sig.obj,libdb.olb
	link db_load.obj,util_sig.obj,link_vms/opt

db_printlog.exe : db_printlog.obj,util_sig.obj,libdb.olb
	link db_printlog.obj,util_sig.obj,link_vms/opt

db_recover.exe : db_recover.obj,util_sig.obj,libdb.olb
	link db_recover.obj,util_sig.obj,link_vms/opt

db_stat.exe : db_stat.obj,util_sig.obj,libdb.olb
	link db_stat.obj,util_sig.obj,link_vms/opt

db_upgrade.exe : db_upgrade.obj,util_sig.obj,libdb.olb
	link db_upgrade.obj,util_sig.obj,link_vms/opt

db_verify.exe : db_verify.obj,util_sig.obj,libdb.olb
	link db_verify.obj,util_sig.obj,link_vms/opt

##################################################
# Multi-threaded testers, benchmarks.
##################################################
dbs.obj : [-.test_server]dbs.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_am.obj : [-.test_server]dbs_am.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_checkpoint.obj : [-.test_server]dbs_checkpoint.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_debug.obj : [-.test_server]dbs_debug.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_handles.obj : [-.test_server]dbs_handles.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_log.obj : [-.test_server]dbs_log.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_qam.obj : [-.test_server]dbs_qam.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_spawn.obj : [-.test_server]dbs_spawn.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_trickle.obj : [-.test_server]dbs_trickle.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_util.obj : [-.test_server]dbs_util.c
	$(CC) $(CFLAGS) -I[-.test_server $?
dbs_yield.obj : [-.test_server]dbs_yield.c
	$(CC) $(CFLAGS) -I[-.test_server $?
DBS_OBJS=\
	dbs.obj,dbs_am.obj,dbs_checkpoint.obj,dbs_debug.obj,dbs_handles.obj,\
	dbs_log.obj,dbs_qam.obj,dbs_spawn.obj,dbs_trickle.obj,dbs_util.obj,\
	dbs_yield.lo
dbs : $(DBS_OBJS) $(DEF_LIB)
	$(CCLINK) -o $@ \
	    $(LDFLAGS) $(DBS_OBJS) $(DEF_LIB)  -lpthread -lm -lnsl $(LIBS)
	$(POSTLINK) $@

db_perf.obj : [-.test_perf]db_perf.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_cache_check.obj : [-.test_perf]perf_cache_check.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_checkpoint.obj : [-.test_perf]perf_checkpoint.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_config.obj : [-.test_perf]perf_config.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_dbs.obj : [-.test_perf]perf_dbs.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_debug.obj : [-.test_perf]perf_debug.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_file.obj : [-.test_perf]perf_file.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_key.obj : [-.test_perf]perf_key.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_log.obj : [-.test_perf]perf_log.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_misc.obj : [-.test_perf]perf_misc.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_op.obj : [-.test_perf]perf_op.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_parse.obj : [-.test_perf]perf_parse.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_spawn.obj : [-.test_perf]perf_spawn.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_thread.obj : [-.test_perf]perf_thread.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_trickle.obj : [-.test_perf]perf_trickle.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_txn.obj : [-.test_perf]perf_txn.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_util.obj : [-.test_perf]perf_util.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
perf_vx.obj : [-.test_perf]perf_vx.c
	$(CC) $(CFLAGS) -I[-.test_perf $?
DBPERF_OBJS=\
	db_perf.obj,perf_cache_check.obj,perf_checkpoint.obj,perf_config.obj,\
	perf_dbs.obj,perf_debug.obj,perf_file.obj,perf_key.obj,perf_log.obj,\
	perf_misc.obj,perf_op.obj,perf_parse.obj,perf_spawn.obj,perf_thread.obj,\
	perf_trickle.obj,perf_txn.obj,perf_util.obj,perf_vx.lo
db_perf : $(DBPERF_OBJS) $(DEF_LIB)
	$(CCLINK) -o $@ \
	    $(LDFLAGS) $(DBPERF_OBJS) $(DEF_LIB)  -lpthread -lm -lnsl $(LIBS)
	$(POSTLINK) $@

tm.obj : [-.mutex]tm.c
	$(CC) $(CFLAGS) $?
tm : tm.obj,$(DEF_LIB)
	$(CCLINK) -o $@ $(LDFLAGS) tm.obj,$(DEF_LIB)  -lpthread -lm -lnsl $(LIBS)
	$(POSTLINK) $@

##################################################
# Example programs for C.
##################################################
bench_001.obj : [-.examples_c]bench_001.c
	$(CC) $(CFLAGS) $?
bench_001 : bench_001.obj,$(DEF_LIB)
	$(CCLINK) -o $@ $(LDFLAGS) bench_001.obj,$(DEF_LIB) $(LIBS)
	$(POSTLINK) $@

ex_access.obj : [-.examples_c]ex_access.c
	$(CC) $(CFLAGS) $?
ex_access : ex_access.obj,$(DEF_LIB)
	$(CCLINK) -o $@ $(LDFLAGS) ex_access.obj,$(DEF_LIB) $(LIBS)
	$(POSTLINK) $@

ex_btrec.obj : [-.examples_c]ex_btrec.c
	$(CC) $(CFLAGS) $?
ex_btrec : ex_btrec.obj,$(DEF_LIB)
	$(CCLINK) -o $@ $(LDFLAGS) ex_btrec.obj,$(DEF_LIB) $(LIBS)
	$(POSTLINK) $@

ex_dbclient.obj : [-.examples_c]ex_dbclient.c
	$(CC) $(CFLAGS) $?
ex_dbclient : ex_dbclient.obj,$(DEF_LIB)
	$(CCLINK) -o $@ $(LDFLAGS) ex_dbclient.obj,$(DEF_LIB) $(LIBS)
	$(POSTLINK) $@

ex_env.obj : [-.examples_c]ex_env.c
	$(CC) $(CFLAGS) $?
ex_env : ex_env.obj,$(DEF_LIB)
	$(CCLINK) -o $@ $(LDFLAGS) ex_env.obj,$(DEF_LIB) $(LIBS)
	$(POSTLINK) $@

ex_lock.obj : [-.examples_c]ex_lock.c
	$(CC) $(CFLAGS) $?
ex_lock : ex_lock.obj,$(DEF_LIB)
	$(CCLINK) -o $@ $(LDFLAGS) ex_lock.obj,$(DEF_LIB) $(LIBS)
	$(POSTLINK) $@

ex_mpool.obj : [-.examples_c]ex_mpool.c
	$(CC) $(CFLAGS) $?
ex_mpool : ex_mpool.obj,$(DEF_LIB)
	$(CCLINK) -o $@ $(LDFLAGS) ex_mpool.obj,$(DEF_LIB) $(LIBS)
	$(POSTLINK) $@

ex_rq_client.obj : [-.examples_c]ex_repquote]ex_rq_client.c
	$(CC) $(CFLAGS) -I[-.examples_c]ex_repquote $?
ex_rq_main.obj :	[-.examples_c]ex_repquote]ex_rq_main.c
	$(CC) $(CFLAGS) -I[-.examples_c]ex_repquote $?
ex_rq_master.obj : [-.examples_c]ex_repquote]ex_rq_master.c
	$(CC) $(CFLAGS) -I[-.examples_c]ex_repquote $?
ex_rq_net.obj : [-.examples_c]ex_repquote]ex_rq_net.c
	$(CC) $(CFLAGS) -I[-.examples_c]ex_repquote $?
ex_rq_util.obj : [-.examples_c]ex_repquote]ex_rq_util.c
	$(CC) $(CFLAGS) -I[-.examples_c]ex_repquote $?
EX_RQ_OBJS=\
	ex_rq_client.obj,ex_rq_main.obj,ex_rq_master.obj,ex_rq_net.obj,ex_rq_util.lo
ex_repquote : $(EX_RQ_OBJS) $(DEF_LIB)
	$(CCLINK) -o $@ \
	    $(LDFLAGS) $(EX_RQ_OBJS) $(DEF_LIB)  -lpthread -lm -lnsl $(LIBS)
	$(POSTLINK) $@

ex_thread.obj : [-.examples_c]ex_thread.c
	$(CC) $(CFLAGS) $?
ex_thread : ex_thread.obj,$(DEF_LIB)
	$(CCLINK) -o $@ \
	    $(LDFLAGS) ex_thread.obj,$(DEF_LIB)  -lpthread -lm -lnsl $(LIBS)
	$(POSTLINK) $@

ex_tpcb.obj : [-.examples_c]ex_tpcb.c
	$(CC) $(CFLAGS) $?
ex_tpcb : ex_tpcb.obj,$(DEF_LIB)
	$(CCLINK) -o $@ $(LDFLAGS) ex_tpcb.obj,$(DEF_LIB) $(LIBS)
	$(POSTLINK) $@

##################################################
# Example programs for C++.
##################################################
AccessExample.obj : [-.examples_cxx]AccessExample.cpp
	$(CXX) $(CXXFLAGS) $?
excxx_access : AccessExample.obj,$(DEF_LIB_CXX)
	$(CXXLINK) -o $@ $(LDFLAGS) AccessExample.obj,$(DEF_LIB_CXX) $(LIBS)
	$(POSTLINK) $@

BtRecExample.obj : [-.examples_cxx]BtRecExample.cpp
	$(CXX) $(CXXFLAGS) $?
excxx_btrec : BtRecExample.obj,$(DEF_LIB_CXX)
	$(CXXLINK) -o $@ $(LDFLAGS) BtRecExample.obj,$(DEF_LIB_CXX) $(LIBS)
	$(POSTLINK) $@

EnvExample.obj : [-.examples_cxx]EnvExample.cpp
	$(CXX) $(CXXFLAGS) $?
excxx_env : EnvExample.obj,$(DEF_LIB_CXX)
	$(CXXLINK) -o $@ $(LDFLAGS) EnvExample.obj,$(DEF_LIB_CXX) $(LIBS)
	$(POSTLINK) $@

LockExample.obj : [-.examples_cxx]LockExample.cpp
	$(CXX) $(CXXFLAGS) $?
excxx_lock : LockExample.obj,$(DEF_LIB_CXX)
	$(CXXLINK) -o $@ $(LDFLAGS) LockExample.obj,$(DEF_LIB_CXX) $(LIBS)
	$(POSTLINK) $@

MpoolExample.obj : [-.examples_cxx]MpoolExample.cpp
	$(CXX) $(CXXFLAGS) $?
excxx_mpool : MpoolExample.obj,$(DEF_LIB_CXX)
	$(CXXLINK) -o $@ $(LDFLAGS) MpoolExample.obj,$(DEF_LIB_CXX) $(LIBS)
	$(POSTLINK) $@

TpcbExample.obj : [-.examples_cxx]TpcbExample.cpp
	$(CXX) $(CXXFLAGS) $?
excxx_tpcb : TpcbExample.obj,$(DEF_LIB_CXX)
	$(CXXLINK) -o $@ $(LDFLAGS) TpcbExample.obj,$(DEF_LIB_CXX) $(LIBS)
	$(POSTLINK) $@

##################################################
# C API build rules.
##################################################
bt_compact.obj : [-.btree]bt_compact.c
bt_compare.obj : [-.btree]bt_compare.c
bt_conv.obj : [-.btree]bt_conv.c
bt_curadj.obj : [-.btree]bt_curadj.c
bt_cursor.obj : [-.btree]bt_cursor.c
bt_delete.obj : [-.btree]bt_delete.c
bt_method.obj : [-.btree]bt_method.c
bt_open.obj : [-.btree]bt_open.c
bt_put.obj : [-.btree]bt_put.c
bt_rec.obj : [-.btree]bt_rec.c
bt_reclaim.obj : [-.btree]bt_reclaim.c
bt_recno.obj : [-.btree]bt_recno.c
bt_rsearch.obj : [-.btree]bt_rsearch.c
bt_search.obj : [-.btree]bt_search.c
bt_split.obj : [-.btree]bt_split.c
bt_stack.obj : [-.btree]bt_stack.c
bt_stat.obj : [-.btree]bt_stat.c
bt_upgrade.obj : [-.btree]bt_upgrade.c
bt_verify.obj : [-.btree]bt_verify.c
btree_auto.obj : [-.btree]btree_auto.c
crdel_auto.obj : [-.db]crdel_auto.c
crdel_rec.obj : [-.db]crdel_rec.c
db.obj : [-.db]db.c
db_am.obj : [-.db]db_am.c
db_auto.obj : [-.db]db_auto.c
db_byteorder.obj : [-.common]db_byteorder.c
db_cam.obj : [-.db]db_cam.c
db_conv.obj : [-.db]db_conv.c
db_dispatch.obj : [-.db]db_dispatch.c
db_dup.obj : [-.db]db_dup.c
db_iface.obj : [-.db]db_iface.c
db_join.obj : [-.db]db_join.c
db_meta.obj : [-.db]db_meta.c
db_method.obj : [-.db]db_method.c
db_overflow.obj : [-.db]db_overflow.c
db_pr.obj : [-.db]db_pr.c
db_rec.obj : [-.db]db_rec.c
db_reclaim.obj : [-.db]db_reclaim.c
db_ret.obj : [-.db]db_ret.c
db_salloc.obj : [-.env]db_salloc.c
db_shash.obj : [-.env]db_shash.c
db_upg.obj : [-.db]db_upg.c
db_upg_opd.obj : [-.db]db_upg_opd.c
db_vrfy.obj : [-.db]db_vrfy.c
db_vrfyutil.obj : [-.db]db_vrfyutil.c
dbm.obj : [-.dbm]dbm.c
env_method.obj : [-.env]env_method.c
env_open.obj : [-.env]env_open.c
env_recover.obj : [-.env]env_recover.c
env_region.obj : [-.env]env_region.c
env_failchk.obj : [-.env]env_failchk.c
env_file.obj : [-.env]env_file.c
env_register.obj : [-.env]env_register.c
env_stat.obj : [-.env]env_stat.c
hash.obj : [-.hash]hash.c
hash_auto.obj : [-.hash]hash_auto.c
hash_conv.obj : [-.hash]hash_conv.c
hash_dup.obj : [-.hash]hash_dup.c
hash_func.obj : [-.hash]hash_func.c
hash_meta.obj : [-.hash]hash_meta.c
hash_method.obj : [-.hash]hash_method.c
hash_open.obj : [-.hash]hash_open.c
hash_page.obj : [-.hash]hash_page.c
hash_rec.obj : [-.hash]hash_rec.c
hash_reclaim.obj : [-.hash]hash_reclaim.c
hash_stat.obj : [-.hash]hash_stat.c
hash_upgrade.obj : [-.hash]hash_upgrade.c
hash_verify.obj : [-.hash]hash_verify.c
hsearch.obj : [-.hsearch]hsearch.c
lock.obj : [-.lock]lock.c
lock_deadlock.obj : [-.lock]lock_deadlock.c
lock_method.obj : [-.lock]lock_method.c
lock_region.obj : [-.lock]lock_region.c
lock_stat.obj : [-.lock]lock_stat.c
lock_util.obj : [-.lock]lock_util.c
lock_failchk.obj : [-.lock]lock_failchk.c
lock_id.obj : [-.lock]lock_id.c
lock_list.obj : [-.lock]lock_list.c
lock_timer.obj : [-.lock]lock_timer.c
log.obj : [-.log]log.c
log_archive.obj : [-.log]log_archive.c
log_compare.obj : [-.log]log_compare.c
log_get.obj : [-.log]log_get.c
log_method.obj : [-.log]log_method.c
log_put.obj : [-.log]log_put.c
mp_alloc.obj : [-.mp]mp_alloc.c
mp_bh.obj : [-.mp]mp_bh.c
mp_fget.obj : [-.mp]mp_fget.c
mp_fopen.obj : [-.mp]mp_fopen.c
mp_fput.obj : [-.mp]mp_fput.c
mp_fset.obj : [-.mp]mp_fset.c
mp_method.obj : [-.mp]mp_method.c
mp_fmethod.obj : [-.mp]mp_fmethod.c
mp_region.obj : [-.mp]mp_region.c
mp_register.obj : [-.mp]mp_register.c
mp_stat.obj : [-.mp]mp_stat.c
mp_sync.obj : [-.mp]mp_sync.c
mp_trickle.obj : [-.mp]mp_trickle.c
mut_fcntl.obj : [-.mutex]mut_fcntl.c
mut_pthread.obj : [-.mutex]mut_pthread.c
mut_alloc.obj : [-.mutex]mut_alloc.c
mut_method.obj : [-.mutex]mut_method.c
mut_stat.obj : [-.mutex]mut_stat.c
os_abs.obj : [-.os]os_abs.c
os_alloc.obj : [-.os]os_alloc.c
os_clock.obj : [-.os]os_clock.c
os_dir.obj : [-.os]os_dir.c
os_errno.obj : [-.os]os_errno.c
os_fid.obj : [-.os]os_fid.c
os_fsync.obj : [-.os]os_fsync.c
os_handle.obj : [-.os]os_handle.c
os_map.obj : [-.os]os_map.c
os_method.obj : [-.os]os_method.c
os_oflags.obj : [-.os]os_oflags.c
os_open.obj : [-.os]os_open.c
os_region.obj : [-.os]os_region.c
os_rename.obj : [-.os]os_rename.c
os_root.obj : [-.os]os_root.c
os_rpath.obj : [-.os]os_rpath.c
os_rw.obj : [-.os]os_rw.c
os_seek.obj : [-.os]os_seek.c
os_sleep.obj : [-.os]os_sleep.c
os_spin.obj : [-.os]os_spin.c
os_stat.obj : [-.os]os_stat.c
os_tmpdir.obj : [-.os]os_tmpdir.c
os_unlink.obj : [-.os]os_unlink.c
qam.obj : [-.qam]qam.c
qam_auto.obj : [-.qam]qam_auto.c
qam_conv.obj : [-.qam]qam_conv.c
qam_files.obj : [-.qam]qam_files.c
qam_method.obj : [-.qam]qam_method.c
qam_open.obj : [-.qam]qam_open.c
qam_rec.obj : [-.qam]qam_rec.c
qam_stat.obj : [-.qam]qam_stat.c
qam_upgrade.obj : [-.qam]qam_upgrade.c
qam_verify.obj : [-.qam]qam_verify.c
rep_method.obj : [-.rep]rep_method.c
rep_record.obj : [-.rep]rep_record.c
rep_region.obj : [-.rep]rep_region.c
rep_util.obj : [-.rep]rep_util.c
txn.obj : [-.txn]txn.c
txn_auto.obj : [-.txn]txn_auto.c
txn_method.obj : [-.txn]txn_method.c
txn_rec.obj : [-.txn]txn_rec.c
txn_recover.obj : [-.txn]txn_recover.c
txn_region.obj : [-.txn]txn_region.c
txn_stat.obj : [-.txn]txn_stat.c
util_log.obj : [-.common]util_log.c
util_sig.obj : [-.common]util_sig.c
uts4_cc.obj : [-.mutex]uts4_cc.s
xa.obj : [-.xa]xa.c
xa_db.obj : [-.xa]xa_db.c
xa_map.obj : [-.xa]xa_map.c

##################################################
# C++ API build rules.
##################################################
cxx_db.obj : [-.cxx]cxx_db.cpp
cxx_dbc.obj : [-.cxx]cxx_dbc.cpp
cxx_dbt.obj : [-.cxx]cxx_dbt.cpp
cxx_env.obj : [-.cxx]cxx_env.cpp
cxx_except.obj : [-.cxx]cxx_except.cpp
cxx_lock.obj : [-.cxx]cxx_lock.cpp
cxx_logc.obj : [-.cxx]cxx_logc.cpp
cxx_mpool.obj : [-.cxx]cxx_mpool.cpp
cxx_txn.obj : [-.cxx]cxx_txn.cpp

##################################################
# Java API build rules.
##################################################
java_Db.obj ::[-.libdb_java]java_Db.c
java_DbEnv.obj : [-.libdb_java]java_DbEnv.c
java_DbLock.obj : [-.libdb_java]java_DbLock.c
java_DbLogc.obj : [-.libdb_java]java_DbLogc.c
java_DbLsn.obj : [-.libdb_java]java_DbLsn.c
java_DbTxn.obj : [-.libdb_java]java_DbTxn.c
java_DbUtil.obj : [-.libdb_java]java_DbUtil.c
java_Dbc.obj : [-.libdb_java]java_Dbc.c
java_Dbt.obj : [-.libdb_java]java_Dbt.c
java_info.obj : [-.libdb_java]java_info.c
java_locked.obj : [-.libdb_java]java_locked.c
java_util.obj : [-.libdb_java]java_util.c

##################################################
# Tcl API build rules.
##################################################
tcl_compat.obj : [-.tcl]tcl_compat.c
tcl_db.obj : [-.tcl]tcl_db.c
tcl_db_pkg.obj : [-.tcl]tcl_db_pkg.c
tcl_dbcursor.obj : [-.tcl]tcl_dbcursor.c
tcl_env.obj : [-.tcl]tcl_env.c
tcl_internal.obj : [-.tcl]tcl_internal.c
tcl_lock.obj : [-.tcl]tcl_lock.c
tcl_log.obj : [-.tcl]tcl_log.c
tcl_mp.obj : [-.tcl]tcl_mp.c
tcl_txn.obj : [-.tcl]tcl_txn.c

##################################################
# RPC build rules.
##################################################
# RPC client files
client.obj : [-.rpc_client]client.c
db_server_clnt.obj : [-.rpc_client]db_server_clnt.c
gen_client.obj : [-.rpc_client]gen_client.c
gen_client_ret.obj : [-.rpc_client]gen_client_ret.c

db_server_proc.obj : [-.rpc_server]db_server_proc.c
db_server_svc.obj : [-.rpc_server]db_server_svc.c
db_server_util.obj : [-.rpc_server]db_server_util.c
db_server_xdr.obj : [-.rpc_server]db_server_xdr.c
gen_db_server.obj : [-.rpc_server]gen_db_server.c

##################################################
# Utility build rules.
##################################################
db_archive.obj : [-.db_archive]db_archive.c
db_checkpoint.obj : [-.db_checkpoint]db_checkpoint.c
db_deadlock.obj : [-.db_deadlock]db_deadlock.c
db_dump.obj : [-.db_dump]db_dump.c
db_dump185.obj : [-.db_dump185]db_dump185.c
db_load.obj : [-.db_load]db_load.c
db_printlog.obj : [-.db_printlog]db_printlog.c
db_recover.obj : [-.db_recover]db_recover.c
db_stat.obj : [-.db_stat]db_stat.c
db_upgrade.obj : [-.db_upgrade]db_upgrade.c
db_verify.obj : [-.db_verify]db_verify.c

##################################################
# C library replacement files.
##################################################
getcwd.obj : [-.clib]getcwd.c
getopt.obj : [-.clib]getopt.c
memcmp.obj : [-.clib]memcmp.c
memcpy.obj : [-.clib]memmove.c
memmove.obj : [-.clib]memmove.c
raise.obj : [-.clib]raise.c
strcasecmp.obj : [-.clib]strcasecmp.c
snprintf.obj : [-.clib]snprintf.c
strerror.obj : [-.clib]strerror.c
aes_method.obj : [-.crypto]aes_method.c
crypto.obj : [-.crypto]crypto.c
mt19937db.obj : [-.crypto.mersenne]mt19937db.c
rijndael-alg-fst.obj : [-.crypto.rijndael]rijndael-alg-fst.c
rijndael-api-fst.obj : [-.crypto.rijndael]rijndael-api-fst.c
hmac.obj : [-.hmac]hmac.c
sha1.obj : [-.hmac]sha1.c
txn_autop.obj : [-.txn]txn_autop.c
txn_chkpt.obj : [-.txn]txn_chkpt.c
txn_failchk.obj : [-.txn]txn_failchk.c
txn_util.obj : [-.txn]txn_util.c
rep_auto.obj : [-.rep]rep_auto.c
rep_autop.obj : [-.rep]rep_autop.c
rep_backup.obj : [-.rep]rep_backup.c
rep_elect.obj : [-.rep]rep_elect.c
rep_log.obj : [-.rep]rep_log.c
rep_stat.obj : [-.rep]rep_stat.c
rep_stub.obj : [-.rep]rep_stub.c
rep_verify.obj : [-.rep]rep_verify.c
os_config.obj : [-.os]os_config.c
os_flock.obj : [-.os]os_flock.c
os_id.obj : [-.os]os_id.c
os_mkdir.obj : [-.os]os_mkdir.c
os_truncate.obj : [-.os]os_truncate.c
log_debug.obj : [-.log]log_debug.c
log_stat.obj : [-.log]log_stat.c
fileops_auto.obj : [-.fileops]fileops_auto.c
fileops_autop.obj : [-.fileops]fileops_autop.c
fop_basic.obj : [-.fileops]fop_basic.c
fop_rec.obj : [-.fileops]fop_rec.c
fop_util.obj : [-.fileops]fop_util.c
dbreg.obj : [-.dbreg]dbreg.c
dbreg_auto.obj : [-.dbreg]dbreg_auto.c
dbreg_autop.obj : [-.dbreg]dbreg_autop.c
dbreg_rec.obj : [-.dbreg]dbreg_rec.c
dbreg_stat.obj : [-.dbreg]dbreg_stat.c
dbreg_util.obj : [-.dbreg]dbreg_util.c
crdel_autop.obj : [-.db]crdel_autop.c
db_autop.obj : [-.db]db_autop.c
db_open.obj : [-.db]db_open.c
db_ovfl_vrfy.obj : [-.db]db_ovfl_vrfy.c
db_remove.obj : [-.db]db_remove.c
db_rename.obj : [-.db]db_rename.c
db_setid.obj : [-.db]db_setid.c
db_setlsn.obj : [-.db]db_setlsn.c
db_stati.obj : [-.db]db_stati.c
db_truncate.obj : [-.db]db_truncate.c
db_vrfy_stub.obj : [-.db]db_vrfy_stub.c
db_clock.obj : [-.common]db_clock.c
db_idspace.obj : [-.common]db_idspace.c
mut_region.obj : [-.mutex]mut_region.c
util_cache.obj : [-.common]util_cache.c
btree_autop.obj : [-.btree]btree_autop.c
hash_autop.obj : [-.hash]hash_autop.c
qam_autop.obj : [-.qam]qam_autop.c
vms_capital.obj : vms_capital.c
